/// <reference types="q" />
import * as tr from "azure-pipelines-task-lib/toolrunner";
import AuthenticationToken from "./registryauthenticationprovider/registryauthenticationtoken";
export default class ContainerConnection {
    private dockerPath;
    protected hostUrl: string;
    protected certsDir: string;
    private caPath;
    private certPath;
    private keyPath;
    private registryAuth;
    private configurationDirPath;
    private oldDockerConfigContent;
    constructor(isDockerRequired?: boolean);
    createCommand(): tr.ToolRunner;
    execCommand(command: tr.ToolRunner, options?: tr.IExecOptions): import("q").Promise<never>;
    open(hostEndpoint?: string, authenticationToken?: AuthenticationToken, multipleLoginSupported?: boolean, doNotAddAuthToConfig?: boolean): void;
    getQualifiedImageNameIfRequired(imageName: string): string;
    getQualifiedImageName(repository: string, enforceDockerNamingConvention?: boolean): string;
    getQualifiedImageNamesFromConfig(repository: string, enforceDockerNamingConvention?: boolean): string[];
    close(multipleLoginSupported?: boolean, command?: string): void;
    setDockerConfigEnvVariable(): void;
    unsetDockerConfigEnvVariable(): void;
    private logout;
    private removeConfigDirAndUnsetEnvVariable;
    private unsetEnvironmentVariable;
    private isLogoutRequired;
    private openHostEndPoint;
    protected openRegistryEndpoint(authenticationToken?: AuthenticationToken, multipleLoginSupported?: boolean, doNotAddAuthToConfig?: boolean): void;
    private getExistingDockerConfigFilePath;
    private getDockerConfigJson;
    private writeDockerConfigJson;
    private getDockerConfigDirPath;
    private ensureDirExists;
    private getTempDirectory;
    private getRegistryUrlsFromDockerConfig;
    private isPathInTempDirectory;
    private prefixRegistryIfRequired;
}
